.TH STRUCTURE 1 "Nov 22 1994" "Stanford University" "SUIF Compiler"
.SH NAME
structure \- structure control flow
.SH SYNOPSIS
.B structure
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I structure
program builds structured control flow (tree_ifs, tree_loops, and
tree_fors) out of unstructured control flow (branches and labels)
where it can be done in a natural way.  It also turns tree_loops into
tree_fors when they are in the right form.
.SH HISTORY
This program was written by Chris Wilson.
